Bug 30560 - QA0322 - Kudzu needs to run depmod after changing /etc/modules.conf
Summary: QA0322 - Kudzu needs to run depmod after changing /etc/modules.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-04 17:29 UTC by R P Herrold
Modified: 2014-03-17 02:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 13:08:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2001-03-04 17:29:39 UTC
RBBeta 7.1RC1 -- kudzu-0.97.4-1 -- imaccuratyely removed a dual port Cpmpaq
T-LAN secondary NIC pair on an upgrade from 7.1RC1 ... but this is not my
issue.

Once it had done so, it had modified /etc/modules.conf --- but continuing
the strteup process, it displayed a boot time message that
/etc/modules.conf had a later datestamp that /lib/mod/(ver)/modules.dep --

In checking this was true.

Solution -- Run depmod -a at the end of ALL kudzu sessions.

Comment 1 R P Herrold 2001-03-27 05:36:14 UTC
Issue continues with QA0322 ...

Comment 2 Arenas Belon, Carlo Marcelo 2001-04-03 03:54:48 UTC
still on qa0328

Comment 3 Bill Nottingham 2001-04-03 04:11:12 UTC
Um, yeah. I seriously doubt I'll change this, as running depmod
here is completely bogus.

Comment 4 R P Herrold 2001-04-03 13:08:11 UTC
Proposed alternative fix to hide this message, when editting /etc/modules.conf
-- just:

1.  sleep 1 second
2. _touch_ /lib/mod/.../modules.dep

Voila -- no more inappropiate message

Comment 5 Bill Nottingham 2001-07-06 22:59:41 UTC
the message has been taken out of modutils-2.4.6-1.


Note You need to log in before you can comment on or make changes to this bug.